Bug 212672 - Nautilus takes up way to much system resources when not showing anything but the deskto
Nautilus takes up way to much system resources when not showing anything but ...
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2006-10-27 18:15 EDT by Andreas Tunek
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-08 09:18:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andreas Tunek 2006-10-27 18:15:23 EDT
Description of problem:
If you have a folder where you download a lot of video files and nautilus
re-reads the files all the time because they change and then close that folder
nautilus will take up a lot of processor time causing the computer to slow down
quite a lot.

The only way to fix this is to kill nautilus.

Version-Release number of selected component (if applicable):

How reproducible:
Very easy.

Steps to Reproduce:
1. Download many large video files (using bittorrent maybe) into one folder.
2. Open that folder while downloading.
3. Close that folder and watch how much the processor is being used.
Actual results:
Processor is being used 100%

Expected results:
Processor should not be used as much.

Additional info:
I do not think that this is totem-thumbnailers fault since it is nautilus that
is said to use the processor according to the "Systemövervakare 2.16.0". (I do
not know what it is called in English, maybe "system monitor?)
Comment 1 Deji Akingunola 2006-10-30 04:48:05 EST
I've been noticing this too. In my case this happens whenever I open nautilus on
a folder where I run a fortran code that writes output to a file. By re-running
this code (while nautilus is opened) and generating outputs a few times (~10)
over, nautilus takes 100% of the cpu.
I actually think this is a gamin bug rubbing off on nautilus.
Comment 2 Emanuel Somosan 2006-11-05 16:08:32 EST
I've noticed the same thing. I could reproduce it by following tasks:

1. Change in to a folder where a download hapens so that
   nautilus has to refresh the file size.

2. Leve this folder and the CPU utilisation goes to 100%.

It is very annoying as the only way to get rid of that is to kill the nautilus
process or to logout/login again.
Comment 3 Emanuel Somosan 2006-11-06 13:20:57 EST
I think this is all about that: http://bugzilla.gnome.org/show_bug.cgi?id=357704

Let's hope the fix will be soon in updates.
Comment 4 Alexander Larsson 2006-11-08 09:18:30 EST
should be fixed in the gnome-vfs 2.16.2-1 update

Note You need to log in before you can comment on or make changes to this bug.